<?php
/**
*
* @package phpBB Extension - Facebook likebox
* @copyright (c) 2016 Theriddler - http://www.peppersrus-forum.nl
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

namespace theriddler\facebooklikebox\event;

use Symfony\Component\EventDispatcher\EventSubscriberInterface;

class listener implements EventSubscriberInterface
{
	/** @var \phpbb\template\template */
	protected $template;

	/** @var \phpbb\config\config */
	protected $config;

	/**
	* Constructor
	*
	* @param \phpbb\template\template			$template
	* @param \phpbb\config\config				$config
	*/
	public function __construct(\phpbb\template\template $template, \phpbb\config\config $config)
	{
		$this->template = $template;
		$this->config = $config;
	}

	static public function getSubscribedEvents()
	{
		return array(
			'core.user_setup'	=> 'load_language_on_setup',
			'core.page_header'	=> 'add_page_header_likebox',
		);
	}

	/**
	 * @param object $event The event object
	 */
	public function load_language_on_setup($event)
	{
		$lang_set_ext = $event['lang_set_ext'];
		$lang_set_ext[] = array(
			'ext_name' => 'theriddler/facebooklikebox',
			'lang_set' => 'facebooklikebox',
		);
		$event['lang_set_ext'] = $lang_set_ext;
	}

	public function add_page_header_likebox($event)
	{
		$this->template->assign_vars(array(
			'FACEBOOKLIKEBOX_ENABLE'				=> $this->config['facebooklikebox_enable'] ? true : false,
			'FACEBOOKLIKEBOX_URL_FIELD'				=> (isset($this->config['facebooklikebox_url_field'])) ? $this->config['facebooklikebox_url_field'] : '',
			'FACEBOOKLIKEBOX_APPID_FIELD'			=> (isset($this->config['facebooklikebox_appid_field'])) ? $this->config['facebooklikebox_appid_field'] : '',
		));
	}
}
