<?php
/**
*
* @package phpBB Extension - Facebook likebox
* @copyright (c) 2016 theriddler - http://www.peppersrus-forum.nl
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

namespace theriddler\facebooklikebox\migrations;

class install_facebooklikebox extends \phpbb\db\migration\migration
{
	public function effectively_installed()
	{
		return isset($this->config['facebooklikebox_version']) && version_compare($this->config['facebooklikebox_version'], '1.0.0', '>=');
	}
	
	static public function depends_on()
	{
		return array('\phpbb\db\migration\data\v31x\v314rc1');
	}
	
	public function update_data()
	{
		return array(
			// Add configs
			array('config.add', array('facebooklikebox_enable', '')),
			array('config.add', array('facebooklikebox_version', '1.0.0')),
			
			// Add ACP module
			array('module.add', array(
				'acp', 
				'ACP_CAT_DOT_MODS', 
				'ACP_FACEBOOKLIKEBOX'
			)),
			
			array('module.add', array(
				'acp', 
				'ACP_FACEBOOKLIKEBOX', 
				array(
					'module_basename' => '\theriddler\facebooklikebox\acp\facebooklikebox_module', 
					'modes' => array('config'),
				),
			)),
		);
	}
	
	public function revert_data()
	{
		return array(
			array('config.remove', array('facebooklikebox_enable')),
			array('config.remove', array('facebooklikebox_url_field')),
			array('config.remove', array('facebooklikebox_appid_field')),
			array('config.remove', array('facebooklikebox_version')),
			
			array('module.remove', array(
				'acp',
				'ACP_FACEBOOKLIKEBOX',
				array(
					'module_basename'	=> '\theriddler\facebooklikebox\acp\facebooklikebox_module',
					'modes'				=> array('config'),
				),
			)),
			
			array('module.remove', array(
				'acp',
				'ACP_CAT_DOT_MODS',
				'ACP_FACEBOOKLIKEBOX'
			)),
		);
	}
}
